--- title: "Retrieving tax information" slug: "retrieving-tax-information" tags: ["Vertex", "Avalara", "tax provider", "tax rate", "tax exemption", "taxes", "integration", "tutorial", "platform", "api"] updated: 2026-11-02T13:59:35Z published: 2026-11-02T13:59:35Z canonical: "docs.newstore.com/retrieving-tax-information" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.newstore.com/llms.txt > Use this file to discover all available pages before exploring further. # Retrieving tax information NewStore platform calculates taxes for in-store orders. As a result, orders will have tax information such as types, rates, and amounts. The Order Management APIs can be used to retrieve the tax information related to an order. The response contains detailed information about tax calculations, including tax exemption information and the taxes applied to an order. > [!TIP] > Note > > In this guide, the code snippets contain `{tenant}`, `{env}`, or `{token}` properties. > > - Use the target tenant for the `{tenant}` property. > - Use the target environment for the `{env}` property. > - Use your NewStore token retrieved from the Omnichannel Manager console for the `token` property. Tax information can be retrieved for sales and returns if the tax calculations were performed within the NewStore platform. Tax information for orders can be retrieved by using the internal order ID of the order: ```javascript curl --location 'https://{tenant}.{env}.newstore.net/v0/orders/{order_id}' \ --header 'Authorization: Bearer {token}' ``` **Related links** - [About taxes](/v1/docs/set-up-taxes) - [Configuring tax calculation settings](/v1/docs/configuring-tax-calculation-settings#config-taxes) - [Adding tax exemption to an order](/v1/docs/checking-out-a-cart#adding-tax-exemption-to-an-order) - [Order information retrieval API](https://docs.newstore.net/api/integration/order-management/sales_order_api/) - [Order return API](https://docs.newstore.net/api/integration/order-management/item_return_api#operation/ListReturnsForOrder)